=== debian/changelog ===
kvirc (4:5.0.0+dfsg-6build13) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:33:47 +0000

kvirc (4:5.0.0+dfsg-6build12) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:38:19 +0000

kvirc (4:5.0.0+dfsg-6build11) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:29:38 +0000

kvirc (4:5.0.0+dfsg-6build10) noble; urgency=medium

  * No-change rebuild against libperl5.38t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 18:20:23 +0000

kvirc (4:5.0.0+dfsg-6build9) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:19:11 +0000

kvirc (4:5.0.0+dfsg-6build8) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:10:48 +0100

kvirc (4:5.0.0+dfsg-6build7) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Jan 2024 08:48:51 +0000

kvirc (4:5.0.0+dfsg-6build6) noble; urgency=medium

  * No-change rebuild due to failed Launchpad dist-upgrade.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Jan 2024 20:51:20 +0100

kvirc (4:5.0.0+dfsg-6build5) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Jan 2024 03:50:05 +0100

kvirc (4:5.0.0+dfsg-6build4) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Dec 2022 09:54:24 +0000

kvirc (4:5.0.0+dfsg-6build3) lunar; urgency=medium

  * Rebuild against new perlapi-5.36.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2022 21:20:41 +0100

kvirc (4:5.0.0+dfsg-6build2) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:53:32 +0100

kvirc (4:5.0.0+dfsg-6build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 14 Jan 2022 11:31:14 +0000

kvirc (4:5.0.0+dfsg-6) unstable; urgency=medium

  * Reproducibility fixes, patches by Vagrant Cascadian:
    + Remove buildpath from rpath (Closes: #997036).
    + Remove the username from the docs footer (Closes: #997037).
  * Bump Standards-Version to 4.6.0.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 12 Dec 2021 16:30:46 +0500

kvirc (4:5.0.0+dfsg-5) unstable; urgency=medium

  * Fix a crash on Wayland (Closes: #935726).

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 10 Jul 2021 12:26:08 +0500

kvirc (4:5.0.0+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Rik Mills ]
  * debian/patches: Add upstream_fix-build-with-Qt-5.15.patch
    (Closes: #974021).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 10 Nov 2020 20:44:22 +0300

kvirc (4:5.0.0+dfsg-3) unstable; urgency=medium

  * Switch to libenchant-2 (Closes: #956700).
  * Update the Homepage field (Closes: #960985).
  * Bump Standards-Version to 4.5.0 (no change needed).
  * Remove obsolete /usr/share/man/man1/kvi_make_scriptdist.sh.1.gz link.
  * Rename debian/TODO.Debian to debian/TODO.
  * Switch to the debhelper compat level 13.

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 29 Jun 2020 21:57:50 +0500

kvirc (4:5.0.0+dfsg-2) unstable; urgency=medium

  * Switch bindings to Python 3 (Closes: #936810).
  * Bump Standards-Version to 4.4.1 (no change needed).

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 29 Nov 2019 15:33:30 +0500

kvirc (4:5.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch to the debhelper compat level 12.
  * Replace debian/compat with B-D: debhelper-compat.
  * Bump Standards-Version to 4.3.0 (no change needed).
  * Drop --dbgsym-migration, the dbgsym subpackages are built in stretch.

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 21 Jan 2019 22:23:22 +0500
