=== data/mimetypes/CMakeLists.txt ===
if(KDE4_FOUND)
	find_package(SharedMimeInfo)

	if(SHARED_MIME_INFO_FOUND AND IS_DIRECTORY ${XDG_MIME_INSTALL_DIR})
		install(FILES kvirc.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
		update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})
	endif(SHARED_MIME_INFO_FOUND AND IS_DIRECTORY ${XDG_MIME_INSTALL_DIR})

	install(FILES kvirc.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kvirc)
endif(KDE4_FOUND)
