=== po/modules/about/CMakeLists.txt ===
# CMakeLists for po/modules/about

file(GLOB pofiles "${CMAKE_CURRENT_SOURCE_DIR}/*.po")
file(GLOB mofiles "${CMAKE_CURRENT_SOURCE_DIR}/*.mo")

set(POTFILE about.pot)
set(XGETTEXT_SOURCESDIR ${CMAKE_SOURCE_DIR}/src/modules/about)

# Install target
include(${CMAKE_SOURCE_DIR}/cmake/translation.rules.txt)
