=== po/modules/log/CMakeLists.txt ===
# CMakeLists for po/modules/logview

# Includes:
# src/modules/log
# src/modules/logview

file(GLOB pofiles "${CMAKE_CURRENT_SOURCE_DIR}/*.po")
file(GLOB mofiles "${CMAKE_CURRENT_SOURCE_DIR}/*.mo")

set(POTFILE log.pot)
set(XGETTEXT_SOURCESDIR)
list(APPEND XGETTEXT_SOURCESDIR ${CMAKE_SOURCE_DIR}/src/modules/log)
list(APPEND XGETTEXT_SOURCESDIR ${CMAKE_SOURCE_DIR}/src/modules/logview)

# Install target
include(${CMAKE_SOURCE_DIR}/cmake/translation.rules.txt)
