=== debian/changelog ===
kvirc (4:5.0.0.1+dfsg+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Thu, 28 Jan 2021 13:51:38 +0800
